Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteOndemandReportManager

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteOndemandReportManager

extends java.rmi.Remote

Method Summary
`OndemandReportRecord` | `changeStatus(java.lang.String ondemandID, java.lang.String status)` Change the ondemand report status.
`void` | `clearUserOndemandList(java.lang.String userID, boolean isStopTask)` Through this method, the user's all records in the Ondemand Report Record List are cleared up.
`java.lang.String` | `getOndemandID(java.lang.String userID, java.lang.String resultName)` Through this method, the user can get a record's Ondemand ID according to the result name.
`OndemandReportRecord` | `getOndemandReportRecord(java.lang.String ondemandID)` Gets the ondemand report record of the temporary result.
`java.util.Vector` | `getOndemandReports(java.lang.String userID)` Gets ondemand report records registered by the user.
`OndemandReportRecord` | `notifyOndemandCompleted(java.lang.String ondemandID)` Notify the ondemand report runs over.
`void` | `removeAllOndemandReport(java.lang.String userID)` Remove all the ondemand report records of the sepcify user.
`void` | `removeOndemandReport(java.lang.String ondemandResult)` Remove the ondemand report record of the temporary result.
`void` | `removeOndemandReport(java.lang.String ondemandID, boolean isStop)` Remove the ondemand report record of the temporary result.
`void` | `removeOndemandReport(java.lang.String userID, java.lang.String resultName, boolean isStopTask)` Through this method, the user can delete a record from the Ondemand List according to the result name.

Method Detail

### getOndemandReports

    java.util.Vector getOndemandReports(java.lang.String userID)
                                        throws java.rmi.RemoteException

  Gets ondemand report records registered by the user.

  Parameters:
    `userID` - the userID.
  Returns:
    the vector contains ondemandReportRecord objects.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getOndemandReportRecord

    OndemandReportRecord getOndemandReportRecord(java.lang.String ondemandID)
                                                 throws java.rmi.RemoteException

  Gets the ondemand report record of the temporary result.

  Parameters:
    `ondemandID` - the ondemand ID.
  Returns:
    the ondemand report record of the temporary result.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### notifyOndemandCompleted

    OndemandReportRecord notifyOndemandCompleted(java.lang.String ondemandID)
                                                 throws java.rmi.RemoteException

  Notify the ondemand report runs over.

  Parameters:
    `ondemandID` - the ondemand ID.
  Returns:
    the ondemand report record
  Throws:
    `java.rmi.RemoteException`

### removeOndemandReport

    void removeOndemandReport(java.lang.String ondemandID,
                              boolean isStop)
                              throws java.rmi.RemoteException

  Remove the ondemand report record of the temporary result.

  Parameters:
    `ondemandID` - the ondemand ID.
    `isStop` - if stop the running ondemand reports.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### removeOndemandReport

    void removeOndemandReport(java.lang.String ondemandResult)
                              throws java.rmi.RemoteException

  Remove the ondemand report record of the temporary result.

  Parameters:
    `ondemandResult` - the ondemand report result file name.
  Throws:
    `java.rmi.RemoteException`

### removeAllOndemandReport

    void removeAllOndemandReport(java.lang.String userID)
                                 throws java.rmi.RemoteException

  Remove all the ondemand report records of the sepcify user.

  Parameters:
    `userID` - the userID.
  Throws:
    `java.rmi.RemoteException`

### clearUserOndemandList

    void clearUserOndemandList(java.lang.String userID,
                               boolean isStopTask)
                               throws java.rmi.RemoteException

  Through this method, the user's all records in the Ondemand Report Record List are cleared up.

  Parameters:
    `userID` - The ID of the user.
    `isStopTask` - Whether JREntServer stops the tasks according to Ondemand ID if they are not completed.
  Throws:
    `java.rmi.RemoteException`

### getOndemandID

    java.lang.String getOndemandID(java.lang.String userID,
                                   java.lang.String resultName)
                                   throws java.rmi.RemoteException

  Through this method, the user can get a record's Ondemand ID according to the result name.

  Parameters:
    `userID` - The ID of the user.
    `resultName` - The result name of the report.
  Returns:
    String Ondemand ID of the result
  Throws:
    `java.rmi.RemoteException`

### removeOndemandReport

    void removeOndemandReport(java.lang.String userID,
                              java.lang.String resultName,
                              boolean isStopTask)
                              throws java.rmi.RemoteException

  Through this method, the user can delete a record from the Ondemand List according to the result name.

  Parameters:
    `userID` - The ID of the user.
    `resultName` - The result name of the report.
    `isStopTask` - Whether JREntServer stops the tasks according to Ondemand ID if they are not completed.
  Throws:
    `java.rmi.RemoteException`

### changeStatus

    OndemandReportRecord changeStatus(java.lang.String ondemandID,
                                      java.lang.String status)
                                      throws java.rmi.RemoteException

  Change the ondemand report status.

  Parameters:
    `ondemandID` - the ondemand ID.
    `status` - the ondemand status.
  Returns:
    the ondemand report record
  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD